<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Sun Aug 01 17:59:29 CEST 2021 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-01">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html#generateJwtToken(org.springframework.security.core.Authentication)">generateJwtToken(Authentication)</a></span> - Method in class com.zelyvanna.bdoefficiency.security.jwt.<a href="../com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">JwtUtils</a></dt>
<dd>
<div class="block">Generates a new JWT</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getAap()">getAap()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getAccessToken()">getAccessToken()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html#getAllCharacters(java.lang.String,java.lang.String)">getAllCharacters(String, String)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></dt>
<dd>
<div class="block">Returns a list of characters</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html#getAllClasses()">getAllClasses()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html#getAllClasses(java.lang.String)">getAllClasses(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseController</a></dt>
<dd>
<div class="block">Returns a list of classes</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html#getAllClassesWithCounts()">getAllClassesWithCounts()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseController</a></dt>
<dd>
<div class="block">Returns a list of classes with their characters counts</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#getAllGrinds(java.lang.String)">getAllGrinds(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Returns a list of grinds</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html#getAllGrindspots(java.lang.String)">getAllGrindspots(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></dt>
<dd>
<div class="block">Returns a list of grindspots</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ItemController.html#getAllItems(java.lang.String)">getAllItems(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ItemController.html" title="class in com.zelyvanna.bdoefficiency.controller">ItemController</a></dt>
<dd>
<div class="block">Returns a list of items</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getAp()">getAp()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#getAuthorities()">getAuthorities()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html#getAverage()">getAverage()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#getAverage()">getAverage()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getC_character()">getC_character()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#getCharacters()">getCharacters()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getCharacters()">getCharacters()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getClasse()">getClasse()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html#getClasse()">getClasse()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html#getClasse()">getClasse()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseCount</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html#getCount()">getCount()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseCount</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getDp()">getDp()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getDuration()">getDuration()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getEmail()">getEmail()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#getEmail()">getEmail()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getEmail()">getEmail()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#getEmail()">getEmail()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#getGrind()">getGrind()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getGrindItems()">getGrindItems()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getGrinds()">getGrinds()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getGrinds()">getGrinds()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getGrindspot()">getGrindspot()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#getGrindspot()">getGrindspot()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getIcon()">getIcon()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Role.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#getId()">getId()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#getItem()">getItem()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#getItems()">getItems()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getKutum()">getKutum()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getLevel()">getLevel()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getMainKey()">getMainKey()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html#getMessage()">getMessage()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">MessageResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#getMoneyPerGrindSession()">getMoneyPerGrindSession()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Returns The money per hour (grind session) per class</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#getMoneyPerGrindSessionPerGrindspotPerUser(org.springframework.security.core.Authentication)">getMoneyPerGrindSessionPerGrindspotPerUser(Authentication)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Gets informations about the average money per hour per grindspot for the current user</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getName()">getName()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#getName()">getName()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#getName()">getName()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getName()">getName()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Role.html#getName()">getName()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getNode()">getNode()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/ParameterStringBuilder.html#getParamsString(java.util.Map)">getParamsString(Map&lt;String, Integer&gt;)</a></span> - Static method in class com.zelyvanna.bdoefficiency.payload.<a href="../com/zelyvanna/bdoefficiency/payload/ParameterStringBuilder.html" title="class in com.zelyvanna.bdoefficiency.payload">ParameterStringBuilder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getPassword()">getPassword()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html#getPassword()">getPassword()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#getPassword()">getPassword()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#getPassword()">getPassword()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#getPrice()">getPrice()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getPrice()">getPrice()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#getQuantity()">getQuantity()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#getRecommendedAP()">getRecommendedAP()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#getRole()">getRole()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getRoles()">getRoles()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getRoles()">getRoles()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getTokenType()">getTokenType()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getTotalSilver()">getTotalSilver()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#getUpdatedAt()">getUpdatedAt()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#getUser()">getUser()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#getUser()">getUser()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#getUsername()">getUsername()</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html#getUsername()">getUsername()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#getUsername()">getUsername()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#getUsername()">getUsername()</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#getUsername()">getUsername()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html#getUserNameFromJwtToken(java.lang.String)">getUserNameFromJwtToken(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.security.jwt.<a href="../com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">JwtUtils</a></dt>
<dd>
<div class="block">Retrieve user name from JWT Token</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#grind">grind</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Grind</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/model/package-summary.html">com.zelyvanna.bdoefficiency.model</a></dt>
<dd>
<div class="block">Grind Session Entity</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#%3Cinit%3E()">Grind()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>
<div class="block">Empty constructor of grind</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#%3Cinit%3E(com.zelyvanna.bdoefficiency.model.User,com.zelyvanna.bdoefficiency.model.Grindspot,com.zelyvanna.bdoefficiency.model.Character,int,boolean,boolean,boolean,boolean,boolean,boolean,boolean,int)">Grind(User, Grindspot, Character, int, boolean, boolean, boolean, boolean, boolean, boolean, boolean, int)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>
<div class="block">Grind Session's constructor</div>
</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindController</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/controller/package-summary.html">com.zelyvanna.bdoefficiency.controller</a></dt>
<dd>
<div class="block">Grind Controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#%3Cinit%3E()">GrindController()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">GrindItem</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/model/package-summary.html">com.zelyvanna.bdoefficiency.model</a></dt>
<dd>
<div class="block">GrindItem represents the items and their quantities dropped in a Grind session</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#%3Cinit%3E()">GrindItem()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#%3Cinit%3E(com.zelyvanna.bdoefficiency.model.Grind,com.zelyvanna.bdoefficiency.model.Item,int,int)">GrindItem(Grind, Item, int, int)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#grindItemRepository">grindItemRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindItemRepository</span></a> - Interface in <a href="../com/zelyvanna/bdoefficiency/repository/package-summary.html">com.zelyvanna.bdoefficiency.repository</a></dt>
<dd>
<div class="block">Grind Item Repository</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#grindItems">grindItems</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#grindRepository">grindRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindRepository</span></a> - Interface in <a href="../com/zelyvanna/bdoefficiency/repository/package-summary.html">com.zelyvanna.bdoefficiency.repository</a></dt>
<dd>
<div class="block">Grind Session Repository</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#grinds">grinds</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#grinds">grinds</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#grinds">grinds</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#grindspot">grindspot</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#grindspot">grindspot</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Grindspot</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/model/package-summary.html">com.zelyvanna.bdoefficiency.model</a></dt>
<dd>
<div class="block">Grindspot Entity</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#%3Cinit%3E()">Grindspot()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#%3Cinit%3E(java.lang.String,int,java.util.Set)">Grindspot(String, int, Set&lt;Item&gt;)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">GrindspotAverage</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/model/package-summary.html">com.zelyvanna.bdoefficiency.model</a></dt>
<dd>
<div class="block">Grindspot Averages
 Average money per hour per grindpot</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#%3Cinit%3E(com.zelyvanna.bdoefficiency.model.Grindspot,int)">GrindspotAverage(Grindspot, int)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>
<div class="block">Default GrindspotAverage Constructor</div>
</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindspotController</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/controller/package-summary.html">com.zelyvanna.bdoefficiency.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html#%3Cinit%3E()">GrindspotController()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#grindspotRepository">grindspotRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html#grindspotRepository">grindspotRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindspotRepository</span></a> - Interface in <a href="../com/zelyvanna/bdoefficiency/repository/package-summary.html">com.zelyvanna.bdoefficiency.repository</a></dt>
<dd>
<div class="block">Grindspot Repository</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
